## ros-indigo-libvimba 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(libvimba)

find_package(catkin REQUIRED)

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(TargetArchitecture)
target_architecture(ARCH)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES VimbaCPP VimbaC
)

###########
## Build ##
###########
include_directories(include)

add_library(VimbaC SHARED IMPORTED)
add_library(VimbaCPP SHARED IMPORTED)
if("${ARCH}" STREQUAL i386)
  set_property(TARGET VimbaC PROPERTY IMPORTED_LOCATION ${PROJECT_SOURCE_DIR}/lib/x86_32bit/libVimbaC.so)
  set_property(TARGET VimbaCPP PROPERTY IMPORTED_LOCATION ${PROJECT_SOURCE_DIR}/lib/x86_32bit/libVimbaCPP.so)
elseif("${ARCH}" STREQUAL x86_64)
  set_property(TARGET VimbaC PROPERTY IMPORTED_LOCATION ${PROJECT_SOURCE_DIR}/lib/x86_64bit/libVimbaC.so)
  set_property(TARGET VimbaCPP PROPERTY IMPORTED_LOCATION ${PROJECT_SOURCE_DIR}/lib/x86_64bit/libVimbaCPP.so)
else()
  message(FATAL_ERROR "[libvimba]: Architecture ${ARCH} not suported. Exiting...")
endif()

#############
## Install ##
#############

## Mark cpp header files for installation
install(DIRECTORY include
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark imported library for installation
get_target_property(VimbaC_LOCATION VimbaC IMPORTED_LOCATION)
get_target_property(VimbaCPP_LOCATION VimbaCPP IMPORTED_LOCATION)
install(FILES
  ${VimbaC_LOCATION}
  ${VimbaCPP_LOCATION}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-indigo-libvimba (0.0.2-0trusty) trusty; urgency=high



 -- Miquel Massot <miquel.massot@uib.cat>  Wed, 03 Sep 2014 22:00:00 -0000

ros-indigo-libvimba (0.0.1-0trusty) trusty; urgency=high

  * added catkin run dependency
  * init commit
  * Contributors: Miquel Massot

 -- Miquel Massot <miquel.massot@uib.cat>  Tue, 02 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-libvimba
Section: misc
Priority: extra
Maintainer: Miquel Massot <miquel.massot@uib.cat>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-libvimba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-catkin
Description: The libvimba package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-libvimba//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
